<?php
function getLavori($noabb=false){

	if(!$noabb)
		$w = " WHERE lavoro_id <> 99"; 

	$obj = array();
	$result = mysql_query("SELECT * FROM lavoratori_lav".$w." ORDER BY lavoro_descr");
	while($row = mysql_fetch_object($result)){
		$obj[] = $row;
	}
	return $obj;
}
function getImprese($withAnnullate=false){

	if(!$withAnnullate)
		$w = " WHERE imp_annullato = 0"; 

	$obj = array();
	$result = mysql_query("SELECT * FROM imprese".$w." ORDER BY imp_anagrafica");
	while($row = mysql_fetch_object($result)){
		$obj[] = $row;
	}
	return $obj;
}
function getAbbigliamentoCat($noomg=false,$cat_id=false){

	if($noomg)
		$w = " AND abbcat_tipo <> 'OMG'"; 
	if($cat_id)
		$w .= " AND abbcat_id = ".$cat_id;

	$obj = array();
	$result = mysql_query("SELECT * FROM abbigliamento_cat WHERE 1".$w." ORDER BY abbcat_tipo = 'OMG', abbcat_descr");
	if(!$cat_id){
		while($row = mysql_fetch_object($result))
			$obj[] = $row;
	}else{
		$obj = mysql_fetch_object($result);	
	}
	return $obj;
}
function getTaglie(){

	$obj = array();
	$result = mysql_query("SELECT * FROM  abbigliamento_tgl ORDER BY tgl");
	while($row = mysql_fetch_array($result)){
		$obj[$row['abbcat_tipo']][] = $row['tgl'];
	}
	return $obj;
}


function getOrderStatus($n){
	
	$s['n'] = $n;	
	if($n == 0){
			$s['label'] = "Da completare";
			$s['icon'] = "icons/wait.png";
	}else if($n == 1){
			$s['label'] = "Attivo";
			$s['icon'] = "icons/active.png";
	}else if($n == 2){
			$s['label'] = "Chiuso";
			$s['icon'] = "icons/locked.png";
	}
	return (object) $s;
}

function getStagione($stag,$getIco=false){
	if(!$getIco)
		return $stag == 0 ? 'Invernale' : 'Estivo';
	else
		return $stag == 0 ? 'icons/winter.png' : 'icons/summer.png';
}
function getOrdineAbb(){
	$obj = array();
	$result = mysql_query("
	SELECT * FROM ordini_abb
	LEFT JOIN ordini_abb_lav ON ordini_abb.ordabb_id = ordini_abb_lav.ordabb_id
	");

	while($row = mysql_fetch_array($result)){
		$obj[$row['ord_id']][$row['lavoro_id']][$row['abbcat_id']] = true;
	}
	return $obj;
}

function getEditTaglia($field){
	$f = false;
	if($field == "Giacca_1"){
		$f->field = 'lavtgl_giacca_est';
		$f->descr = 'Taglia giacca estiva';
	}else if($field == "Giacca_0"){
		$f->field = 'lavtgl_giacca_inv';
		$f->descr = 'Taglia giacca invernale';
	}else if($field == "Pantaloni_1"){
		$f->field = 'lavtgl_pant_est';
		$f->descr = 'Taglia pantaloni estivi';
	}else if($field == "Pantaloni_0"){
		$f->field = 'lavtgl_pant_inv';
		$f->descr = 'Taglia pantaloni invernali';
	}else if($field == "Giubbotto_1"){
		$f->field = 'lavtgl_giub_est';
		$f->descr = 'Taglia giubbotto estivo';
	}else if($field == "Giubbotto_0"){
		$f->field = 'lavtgl_giub_inv';
		$f->descr = 'Taglia giubbotto invernale';
	}else if($field == "Scarpe_1"){
		$f->field = 'lavtgl_scarp_est';
		$f->descr = 'Taglia scarpe estive';
	}else if($field == "Scarpe_0"){
		$f->field = 'lavtgl_scarp_inv';
		$f->descr = 'Taglia scarpe invernali';
	}
	return $f;
}
function redoArtOrder($ord_id,$cat_id){
	$result = mysql_query("
	SELECT id, lavoro_id FROM ordini_abb_lav 
	LEFT JOIN ordini_abb ON ordini_abb_lav.ordabb_id = ordini_abb.ordabb_id
	WHERE 
	ordini_abb.abbcat_id = ".$cat_id." AND
	ordini_abb.ord_id = ".$ord_id."
	ORDER BY lavoro_id, ord");
	
	while($row = mysql_fetch_array($result)){
		if($old_lavoro_id <> $row['lavoro_id']){
			$ord = 0;
			$old_lavoro_id = $row['lavoro_id'];
		}

		mysql_query("UPDATE ordini_abb_lav SET ord = ".$ord." WHERE id = ".$row['id']);
		$ord++;

	}
}
function addTaglia($arr,$imp_cod,$abbcat_tipo,$ordabb_cod,$tgl,$qty){

	global $arrTglVES;
	global $arrTglCAL;
	
	$arrTglCurrent = false;
	
	//inizializzo i due array con le taglie VES / CAL
	if(!is_array($arrTglVES)){
		$result = mysql_query("SELECT * FROM abbigliamento_tgl ORDER BY tgl");
		while($row = mysql_fetch_array($result)){
			if($row['abbcat_tipo'] == 'VES')
				$arrTglVES[] = $row['tgl'];
			else
				$arrTglCAL[] = $row['tgl'];
		}
	}
	
	//inizializzo l'array con tutte le taglie a 0
	if(!$arr[$imp_cod]['taglie'][$ordabb_cod])
		for($i=0;$i<17;$i++)
			$arr[$imp_cod]['taglie'][$ordabb_cod][$i] = 0;
	
    if($abbcat_tipo == "VES"){
		$arrTglCurrent = $arrTglVES;
	}else if($abbcat_tipo == "CAL"){
		$arrTglCurrent = $arrTglCAL;
	}
		
	if($arrTglCurrent)
		$arr[$imp_cod]['taglie'][$ordabb_cod][array_search($tgl,$arrTglCurrent)] += $qty;
		
	$arr[$imp_cod]['taglie'][$ordabb_cod][16] += $qty; //aggiorno totale
	$arr[$imp_cod]['taglie'][$ordabb_cod]['tipo'] = $abbcat_tipo;

	return $arr;
}
function checkMioDipendente($lav_cod){
	//controllo se è un dipendente dell'azienda loggata
	$result = mysql_query($q="SELECT * FROM lavoratori WHERE lav_cod = ".$lav_cod." AND imp_cod = ".$_SESSION['user']['cod']);
	if(mysql_num_rows($result) == 0)
		die("Operazione non permessa");
}
function youCanBuy($ordabbCat=false){
	
	$lav_cod = intval($_POST['lav_cod']);
	$ord_id = $_SESSION['ord_id'];
	$ordabb_id = intval($_POST['ordabb_id']);
	$qty = intval($_POST['qty']);
	
	//estraggo dati del nuovo capo che vuole aggiungere
	$result = mysql_query("SELECT ordabb_pnt,ordabb_cod,abbcat_id FROM ordini_abb WHERE ordabb_id = ".$ordabb_id);
	$pnt = mysql_result($result,0,'ordabb_pnt') * $qty;
	$ordabb_cod = mysql_result($result,0,'ordabb_cod');
	$abbcat_id = mysql_result($result,0,'abbcat_id');

	//articoli che spettano di default al lavoratore, senza custom choice
	$query = "
	SELECT SUM(ordabb_pnt) AS pnt FROM lavoratori
	LEFT JOIN lavoratori_tgl ON lavoratori.lav_cod = lavoratori_tgl.lav_cod
	LEFT JOIN ordini_abb_lav ON lavoratori_tgl.lavoro_id = ordini_abb_lav.lavoro_id
	LEFT JOIN ordini_abb ON ordini_abb_lav.ordabb_id = ordini_abb.ordabb_id
	WHERE
	lavoratori.lav_cod = ".$lav_cod." AND ordini_abb.ord_id = ".$ord_id." AND ordini_abb_lav.ord = 0
	AND ordabb_cod NOT IN (SELECT ordabb_cod FROM ordini_customchoice WHERE lav_cod=".$lav_cod." AND ord_id = ".$ord_id.")
	AND ordabb_cod <> '".$ordabb_cod."'";
	
	//se e' una scarpa, non calcolo i punti della scarpa corrente, perchè verra' tolta
	if($ordabbCat == 'CAL')
		$query .= " AND abbcat_id <> ".$abbcat_id;
	
	$result = mysql_query($query);
	$pnt += intval(mysql_result($result,0,'pnt'));

	//custom choice
	$query = "
	SELECT SUM(ordabb_pnt * qty) AS pnt FROM ordini_customchoice 
	LEFT JOIN ordini_abb ON ordini_customchoice.ordabb_cod = ordini_abb.ordabb_cod
	WHERE 
	remove = 0 AND 
	ordini_customchoice.ord_id = ".$ord_id." AND 
	lav_cod = ".$lav_cod." AND ordini_customchoice.ordabb_cod <> '".$ordabb_cod."'";
		
	//se e' una scarpa, non calcolo i punti della scarpa corrente, perchè verra' tolta
	if($ordabbCat == 'CAL')
		$query .= " AND ordini_customchoice.abbcat_id <> ".$abbcat_id;
	
	$result = mysql_query($query);
	$pnt += mysql_result($result,0,'pnt');

	$result = mysql_query("SELECT ord_pnt FROM ordini WHERE ord_id = ".$ord_id);
	$max_pnt = mysql_result($result,0,'ord_pnt');
	
	return $pnt > $max_pnt ? false : true;
}
?>